Update Purse – Updates the details of a specific purse.put https://example.com/programs/{programCode}/accounts/{accountIdentifier}/purses/{purseIdentifier}Updates the details of a specific purse, such as description, goal amount, icon, and round-up settings. Returns the updated purse details.Path ParamsprogramCodestringrequiredThe unique code identifying the partner program context.accountIdentifierstringrequiredThe unique identifier of the account whose purse is being updated.purseIdentifierstringrequiredThe unique identifier of the purse to update.Body ParamsThe Gd.Bos.DataTransfer.Request.UpdatePurseRequest object containing updated purse details, such as description, goal amount, and round-up settings.isHiddenboolean | nullIndicates whether the purse is hidden.truefalsedescriptionstring | nullThe description of the purse.iconNamestring | nullThe icon name for the purse.goalAmountstring | nullThe goal amount for the purse.goalDatestring | nullThe goal date for the purse (YYYY-MM-DD).purseSubTypestring | nullThe sub-type of the purse.isRoundUpbooleanIndicates whether round-up is enabled for the purse.truefalseHeadersX-GD-RequestIdstringrequiredThe unique request identifier (GUID) for tracking and idempotency. Required in the X-GD-RequestId header.acceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsontext/jsonAllowed:application/jsontext/jsonResponses 200OK 401Unauthorized 403Forbidden 500Internal Server Error 503Service UnavailableUpdated 2 months ago